#include <iostream>
#include <bits/stdc++.h>

using namespace std;

typedef pair<int, int> par;

int maxX = 300;

int main()
{
    int n, m, i, j, d, u, l, r, x, maxU=-1;
    cin >> n >> m;
    int dovi[n];
    int uovi[n];

    for(i=1; i<=n; i++)
    {
        cin >> d >> u;
        dovi[i]=d;
        uovi[i]=u;

        if(u>maxU)
        {
            maxU = u;
        }
    }

    if(maxU>300)
    {
        maxX = 0;
    }

    int matrica[n+1][maxX+1];
    if(maxU<=300)
    {
        for(i=0; i<=n; i++)
        {
            for(j=0; j<=maxX; j++)
            {
                matrica[i][j]=0;
            }
        }
        // STAMPANJE
        //for(i=0; i<=n; i++){for(j=0;j<=maxX;j++){cout << matrica[i][j] << " ";}cout << endl;}cout << endl;
        for(i=1; i<=n; i++)
        {
            for(j=dovi[i]; j<=uovi[i]; j++)
            {
                matrica[i][j]=1;
            }
        }
        // STAMPANJE
        //for(i=0; i<=n; i++){for(j=0;j<=maxX;j++){cout << matrica[i][j] << " ";}cout << endl;}cout << endl;
        for(j=0; j<=maxX; j++)
        {
            for(i=2; i<=n; i++)
            {
                matrica[i][j] = matrica[i-1][j]+matrica[i][j];
            }
        }
        // STAMPANJE
        //for(i=0; i<=n; i++){for(j=0;j<=maxX;j++){cout << matrica[i][j] << " ";}cout << endl;}cout << endl;

        //for(i=1; i<=n; i++){cout << i << " " << vage[i].first << " " << vage[i].second << endl;}cout << endl;
    }



    for(j=0; j<m; j++)
    {
        cin >> l >> r >> x;

        if(maxU<=300)
        {
            cout << matrica[r][x] - matrica[l-1][x] << endl;
        }
        else
        {
            int res=0;
            for(i=l; i<=r; i++)
            {
                if(dovi[i]<=x && x<=uovi[i])
                {
                    res++;
                }
            }
            cout << res << endl;
        }
    }
}